Mailinglist Archive: yast-devel (80 mails)

< Previous Next >
[yast-devel] New feature of infrastucture of yast++
Hi,
I would like to inform, that infrastrucure for config agents have new
feature. Agent frontend can ask what polkit permission it requires.
So e.g. so can check it before it is needed or you can report which one
is missing ( preparation for tool that can run YLib and only return
needed permission to given task ).
So how to use it?
quite simple:
require "config_agent/mkinitrd"
ConfigAgent::Mkinitrd.polkit_permissions
=> {:execute => "org.opensuse.config_agent.script.mkinitrd.execute"}


BTW what should be proper place to document such feature? Code is
already documented via yard [0][1]?

Josef

[0]
http://rubydoc.info/github/yast/yast--/DbusClients/FileClient#polkit_permissions-class_method
[1]
http://rubydoc.info/github/yast/yast--/DbusClients/ScriptClient#polkit_permissions-class_method

--
Josef Reidinger
Software Engineer Appliance Department

SUSE LINUX, s. r. o.
Lihovarska 1060/12
190 00 Praha 9
Czech Republic

jreidinger@xxxxxxxx
SUSE
--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: yast-devel+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups